Subject: Re: [PATCH] d80211: fix scan issues with new ops

From: David Kimdon <[email-masked]>
Date: Sun, 19 Nov 2006 09:25:28 -0800

On Sun, Nov 19, 2006 at 05:57:39PM +0100, Johannes Berg wrote:
> On Sun, 2006-11-19 at 08:55 -0800, David Kimdon wrote:
> 
> > ok.  I am concerned that making this split between per driver and per
> > card is difficult to get right.  Setting or not setting a function
> > pointer for an operation is fairly standard practice and I don't see
> > the value in introducing yet another way to indicate support.
> 
> I guess we can punt this patch until some driver shows up that actually
> has some cards that need the function and some that don't. I'm actually
> guessing such a driver won't exist but wanted this for completeness in
> the split between _wiphy and _ops.

Perhaps that is a split that we do not need?  I don't see the problem
that 'd80211: split ieee80211_hw' is solving.  I do see what it is
doing, but maybe I am missing something . . .  

> johannes